Subject: Re: [net-next v3 00/20][pull request] Intel Wired LAN Driver Updates 2019-12-09

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 10 Dec 2019 13:22:33 -0400

On Mon, Dec 09, 2019 at 02:49:15PM -0800, Jeff Kirsher wrote:
> This series contains the initial implementation of the Virtual Bus,
> virtbus_device, virtbus_driver, updates to 'ice' and 'i40e' to use the new
> Virtual Bus and the new RDMA driver 'irdma' for use with 'ice' and 'i40e'.
> 
> The primary purpose of the Virtual bus is to provide a matching service
> and to pass the data pointer contained in the virtbus_device to the
> virtbus_driver during its probe call.  This will allow two separate
> kernel objects to match up and start communication.
> 
> The last 16 patches of the series adds a unified Intel Ethernet Protocol
> driver for RDMA that supports a new network device E810 (iWARP and
> RoCEv2 capable) and the existing X722 iWARP device.  The driver
> architecture provides the extensibility for future generations of Intel
> hardware supporting RDMA.
> 
> The 'irdma' driver replaces the legacy X722 driver i40iw and extends the
> ABI already defined for i40iw.  It is backward compatible with legacy
> X722 rdma-core provider (libi40iw).

Please don't send new RDMA drivers in pull requests to net. This
driver is completely unreviewed at this point.

Jason